Skip to main content
POST
/
v1
/
kyb
/
navigate
Navigate KYB flow
curl --request POST \
  --url https://api.example.com/v1/kyb/navigate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "flow_name": "business_verification",
  "actor_id": "550e8400-e29b-41d4-a716-446655440000",
  "question_name": "company_details"
}
'
import requests

url = "https://api.example.com/v1/kyb/navigate"

payload = {
"flow_name": "business_verification",
"actor_id": "550e8400-e29b-41d4-a716-446655440000",
"question_name": "company_details"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
flow_name: 'business_verification',
actor_id: '550e8400-e29b-41d4-a716-446655440000',
question_name: 'company_details'
})
};

fetch('https://api.example.com/v1/kyb/navigate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "flow": {
    "actor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "flow_name": "<string>",
    "current_step": "<string>",
    "previous_step": "<string>",
    "sections": [
      {
        "name": "<string>",
        "title": "<string>",
        "icon": "<string>",
        "show": true
      }
    ]
  },
  "question": {
    "name": "<string>",
    "section": {
      "name": "<string>",
      "title": "<string>",
      "icon": "<string>",
      "show": true
    },
    "q": "<string>",
    "description": "<string>",
    "message": {
      "text": "<string>"
    },
    "schema": {},
    "uiSchema": {},
    "formData": {}
  }
}
{
"code": "<string>",
"message": "<string>",
"details": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
flow_name
string
required
Example:

"business_verification"

actor_id
string<uuid>
required
Example:

"550e8400-e29b-41d4-a716-446655440000"

question_name
string
Example:

"company_details"

Response

Flow navigation successful

flow
object
question
object